Package com.pixelmed.convert

# Class TIFFFile

java.lang.Object
com.pixelmed.convert.TIFFFile

public class TIFFFile extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ByteOrder`
`byteOrder`
`protected int`
`byteSizeOfOffsets`
`protected String`
`filename`
`protected boolean`
`isBigTIFF`
`protected RandomAccessFile`
`raf`
`protected int`
`version`

## Constructor Summary

Constructors
Constructor
Description
`TIFFFile(String filename)`

## Method Summary

Modifier and Type
Method
Description
`ByteOrder`
`getByteOrder()`
`String`
`getFileName()`
`long`
`getFilePointer()`
`final long`
`getOffset()`
`final int`
`getUnsigned16()`
`final long`
`getUnsigned32()`
`final long`
`getUnsigned64()`
`boolean`
`isBigTIFF()`
`int`
`read(byte[] b)`
`int`
`read(byte[] b, int off, int len)`
`int`
`read(float[] f)`
`int`
`read(float[] f, int off, int len)`
`int`
`read(short[] s)`
`int`
`read(short[] s, int off, int len)`
`void`
`seek(long pos)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### raf

protected RandomAccessFile raf

### byteOrder

protected ByteOrder byteOrder

### version

protected int version

### isBigTIFF

protected boolean isBigTIFF

### byteSizeOfOffsets

protected int byteSizeOfOffsets

### filename

protected String filename

## Constructor Details

### TIFFFile

public TIFFFile(String filename) throws IOException, TIFFException

Throws:
  `IOException`
  `TIFFException`

## Method Details

### seek

public void seek(long pos) throws IOException

Throws:
  `IOException`

### getFilePointer

public long getFilePointer() throws IOException

Throws:
  `IOException`

### read

public int read(byte[] b) throws IOException

Throws:
  `IOException`

### read

public int read(byte[] b, int off, int len) throws IOException

Throws:
  `IOException`

### read

public int read(short[] s) throws IOException

Throws:
  `IOException`

### read

public int read(short[] s, int off, int len) throws IOException

Throws:
  `IOException`

### read

public int read(float[] f) throws IOException

Throws:
  `IOException`

### read

public int read(float[] f, int off, int len) throws IOException

Throws:
  `IOException`

### getUnsigned16

public final int getUnsigned16() throws EOFException, IOException, TIFFException

Throws:
  `EOFException`
  `IOException`
  `TIFFException`

### getUnsigned32

public final long getUnsigned32() throws EOFException, IOException, TIFFException

Throws:
  `EOFException`
  `IOException`
  `TIFFException`

### getUnsigned64

public final long getUnsigned64() throws EOFException, IOException, TIFFException

Throws:
  `EOFException`
  `IOException`
  `TIFFException`

### getOffset

public final long getOffset() throws EOFException, IOException, TIFFException

Throws:
  `EOFException`
  `IOException`
  `TIFFException`

### getByteOrder

public ByteOrder getByteOrder()

### isBigTIFF

public boolean isBigTIFF()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getFileName

public String getFileName()